## NAME

r.out.arc - Converts a raster map layer into an ESRI ARC-GRID file.
(GRASS Raster Data Export Program)

## SYNOPSIS

r.out.arc
r.out.arc help
r.out.arc [-h] [-1] input=name output=name [dp=value]

## DESCRIPTION

r.out.arc converts a user-specified raster map layer (input=name) into an ESRI ARC-GRID ascii file (output=name) suitable for export to other computer systems. The dp=value option (where value is a number of the user's choice) can be used to request that numbers after decimal points are limited. However, to use this, the user should know the maximum number of digits that will occur in the output file. The user can find the maximum number of digits occurring in the output file by running r.out.arc without the dp=value option.

The GRASS program r.in.arc can be used to perform the reverse function, converting an ESRI ARC-GRID ascii file in suitable format to GRASS raster file format. The order of cell values in file is from lower left to upper right (reverse to GRASS).

## OPTIONS

### Flags:

-h
  Suppress printing of header information.

-1
  List one entry per line.

### Parameters:

input=name
  Name of an existing raster map layer.
output
  Name of an output ARC-GID map (use output=- for stdout)
dp=value
  The minimum number of decimals (per cell) to be printed.

r.out.arc can be run either non-interactively or interactively. The program will be run non-interactively if the user specifies the name of a raster map layer and (optionally) a value for dp, using the form

  r.out.arc input=inname output=outname [dp=value]

where inname is the name of a raster map layer to be converted to ARC-GRID format, outname is the name of a raster map layer to be exported, and value is the minimum number of digits (per cell) to be printed to output. The user can also the -h option to suppress the output of file header information.

Alternately, the user can simply type r.out.arc on the command line, without program arguments. In this case, the user will be prompted for parameter values using the standard GRASS parser interface.

## NOTES

The output from r.out.arc may be placed into a file by using the UNIX redirection mechanism; e.g.:

  r.out.arc input=soils output=- > out.grd

The output file out.grd can then be copied onto a CDROM or floppy disk for export purposes.

## SEE ALSO

r.in.arc
parser

## AUTHOR

Markus Neteler, University of Hannover, Germany,
based on r.out.ascii from
Michael Shapiro, U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2002/02/25 08:56:25 $